# Reference

**Terminology**

| Required Terminology | Description                                                                                                                | Remarks                                   |
| -------------------- | -------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------- |
| PID                  | PID stands for Product Identifier. It is a unique ID value that is automatically issued when an application is registered. | The PID must not be confused with the AID |

### **Support Client Version** <a href="#reference-supportclientversion" id="reference-supportclientversion"></a>

South Korea

| Store Version | Remarks          | Package Name            | Support Version                                   |
| ------------- | ---------------- | ----------------------- | ------------------------------------------------- |
| T store       | -                | com.skt.skaf.A000Z00040 | Version Name = 5.0.0 / Version Code = above 50000 |
| Olleh Market  | Freeload version | com.kt.olleh.storefront | Version Name = 5.0.0 / Version Code = above 50000 |
| U+Store       | LTE device       | com.lguplus.appstore    | Version Name = 5.0.0 / Version Code = above 50000 |

other than South Korea

| Store Version    | Remarks | Package Name                  | Suport Version                                     |
| ---------------- | ------- | ----------------------------- | -------------------------------------------------- |
| Singapore/Taiwan | -       | com.onestorecorp.gaa.storeapp | Supports all versions                              |
| United States    | -       | com.dti.folderlauncher        | Version Name = 4.0.0 / Version Code = above 400000 |

### **URL Scheme Connection Reference** <a href="#reference-urlschemeconnectionreference" id="reference-urlschemeconnectionreference"></a>

* #### Product Detail View Reference <a href="#reference-productdetailviewreference" id="reference-productdetailviewreference"></a>

  command

  | `onestore://common/product/{product id}` |
  | ---------------------------------------- |

  | Parameter  | Type   | Mandatory | Limit           | sample       | Description                            |
  | ---------- | ------ | --------- | --------------- | ------------ | -------------------------------------- |
  | product id | String | M         | 10 digit number | `0000252337` | This is the Product PID (numerical ID) |

  The automatic installation starts after being moved to the detail page and the user is identified (do you want to install A?).\
  (1) The automatic installation occurs for the products that have already been purchased (reinstalled even if it is already installed) (2) If a product is for free and has no purchase history, a purchase history is automatically generated and then automatically installed. (3) If a product is for charge, move to the payment page (the user identification window is not needed because automatic installation does not start).
* Product Search View Reference

  command

  | `onestore://common/search/{검색어}` |
  | -------------------------------- |

  | Parameter | Type   | Mandatory | Limit   | sample      | Description |
  | --------- | ------ | --------- | ------- | ----------- | ----------- |
  | Query     | String | M         | 20 byte | `Naver App` | Enter query |

  #### Request Update <a href="#reference-requestupdate" id="reference-requestupdate"></a>

  command

  | `onestore://common/product/bg_update/{product id}` |
  | -------------------------------------------------- |

  | Parameter  | Type   | Mandatory | Limit           | sample       | Description                            |
  | ---------- | ------ | --------- | --------------- | ------------ | -------------------------------------- |
  | product id | String | M         | 10 digit number | `0000252337` | This is the Product PID (numerical ID) |

  **Note for Update Request Specification**

  * Update takes place in Background, and progress is shown through Noti.
  * Requests are ignored if the latest version has already been installed.
  * It operates only when the user has a ONE store membership since it works based on the membership.
  * If you do not have the membership or fail to sign up, a login screen for authentication is automatically executed.
  * It operates if a paid App already has the purchase history.
  * It automatically processes and downloads a free App.
* #### **Check PID & Version Name with packageName** <a href="#reference-checkpid-and-versionnamewithpackagename" id="reference-checkpid-and-versionnamewithpackagename"></a>

  <br>

  command

  | `https://oneapi.onestore.net/api/devcenter/getAppVersion/v1?pkgNm={Packagename}&deviceModelCd={ModelName}&osVer={OS version}&sdkVersion={SDK version}` |
  | ------------------------------------------------------------------------------------------------------------------------------------------------------ |

  #### **Request Parameters** <a href="#reference-requestparameters" id="reference-requestparameters"></a>

  | Parameter     | Type   | Mandatory | Limit   | sample                   | Description                           |
  | ------------- | ------ | --------- | ------- | ------------------------ | ------------------------------------- |
  | pkgNm         | String | M         | `??100` | `com.nhn.android.search` | This is the package name of the App   |
  | deviceModelCd | String | O         | `??100` | `SM-N920S`               | This is the model name of the device  |
  | osVer         | String | O         | 5       | `6.0.1`                  | This is the OS version of the device  |
  | sdkVersion    | String | O         | 5       | 30                       | This is the SDK version of the device |

  #### &#x20;**Response Parameters** <a href="#reference-responseparameters" id="reference-responseparameters"></a>

  <br>

  | Name        | Mandatory   | Type        | Description |                                                                                                                                                                                                                                   |                                                                                                                |
  | ----------- | ----------- | ----------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------- |
  | result      | <p><br></p> | M           | **Object**  | Response Result                                                                                                                                                                                                                   |                                                                                                                |
  | <p><br></p> | code        | M           | String      | <ul><li><p>Response code</p><ul><li>000 : success</li><li>100 : no data</li><li>200 : server error</li><li>400 : bad request</li><li>509 : server busy</li></ul></li></ul>                                                        |                                                                                                                |
  | <p><br></p> | desc        | M           | String      | Response Message                                                                                                                                                                                                                  |                                                                                                                |
  | prodId      | <p><br></p> | M           | String      | This is the product PID                                                                                                                                                                                                           |                                                                                                                |
  | verNm       | <p><br></p> | M           | String      | This is App version name                                                                                                                                                                                                          |                                                                                                                |
  | verCd       | <p><br></p> | M           | String      | This is App version Code                                                                                                                                                                                                          |                                                                                                                |
  | longVerCd   | <p><br></p> | <p><br></p> | String      | <ul><li><p>Version Code</p><ul><li><p>If Android OS version is Pie or higher and Major Version Code is registered, respond as follows:</p><ul><li>Major Version Code and VersionCode Merged VersionCode<br>(((long) major) << 32) | (((long) minor) & 0xffffffffL)</li><li>Others answered the same value as "verCd"</li></ul></li></ul></li></ul> |
  | title       | <p><br></p> | M           | String      | This is the product name                                                                                                                                                                                                          |                                                                                                                |
  | topMenuId   | <p><br></p> | M           | String      | This comes only when the version name, device name, and OS version are registered                                                                                                                                                 |                                                                                                                |
  | topMenuNm   | <p><br></p> | M           | String      | This comes only when the version code, device name, and OS version are registered                                                                                                                                                 |                                                                                                                |
  | menuId      | <p><br></p> | M           | <p><br></p> | This is the top-level category code                                                                                                                                                                                               |                                                                                                                |
  | menuNm      | <p><br></p> | M           | String      | This is the top-level category name                                                                                                                                                                                               |                                                                                                                |
  | sellerNm    | <p><br></p> | M           | String      | This is the publisher’s name                                                                                                                                                                                                      |                                                                                                                |
  | game        | <p><br></p> | M           | boolean     | If it falls into the game category or not                                                                                                                                                                                         |                                                                                                                |

  Response if Model Name Is Not Entered

  | `{    "result": {        "code": "000",        "desc": "success"    },    "prodId": "0000758646",    "verNm": "1.36.120365",    "verCd": "120365",    "title": "블루 아카이브",    "topMenuId": "DP01",    "topMenuNm": "게임",    "menuId": "DP01004",    "menuNm": "롤플레잉",    "sellerNm": "(주) 넥슨",    "game": true}` |
  | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://onestore-dev.gitbook.io/dev/eng/tools/app-links/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
